Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003649 [JEDI VCL] 00 JVCL Components minor always 2006-04-19 18:59 2006-04-27 07:37
Reporter chuckj View Status public  
Assigned To Informatix
Priority normal Resolution fixed  
Status resolved   Product Version 3.20
Summary 0003649: TJvDBMaskEdit edit mask disappears upon entering component during D2006 runtime.
Description 1)Define an EditMask for TJvDBMaskEdit at design time in Delphi 2006, e.g. the phone number mask. Point TJvDBMaskEdit at a 13 char database field.
2)Compile and run the program.
3)The edit mask is gone when you go to the field at runtime.
Additional Information Looking at the source for TJvDBControls, line 837 in TJvDBMaskEdit.DataChange(Sender: TObject) reads:

    EditMask := FDataLink.Field.EditMask;

If you define the EditMask property for the control at design time, this line will wipe out your design time settings. On the other hand, if you somehow have the edit mask defined for the database field, this will work OK. My solution was to comment out this line and recompile. The component then works as I expect it to. I am a newbie at Delphi so the only way I have used EditMask is by defining it at design time.
Tags No tags attached.
Attached Files zip file icon DelphiExample.zip [^] (7,206 bytes) 2006-04-20 09:15

- Relationships

-  Notes
(0009151)
obones (administrator)
2006-04-20 00:40

Please provide the zipped sources of a standalone application with a database so that we can test it.
(0009164)
obones (administrator)
2006-04-21 03:08

See newsgroup discussion for details:

1@news.talkto.net">news://forums.talkto.net:119/e18cl4$3g5$1@news.talkto.net [1@news.talkto.net" target="_blank">^]
(0009192)
Informatix (developer)
2006-04-27 07:37

It is fixed and in SVN.

- Issue History
Date Modified Username Field Change
2006-04-19 18:59 chuckj New Issue
2006-04-20 00:40 obones Note Added: 0009151
2006-04-20 00:40 obones Status new => feedback
2006-04-20 09:15 chuckj File Added: DelphiExample.zip
2006-04-20 11:18 obones Status feedback => acknowledged
2006-04-21 03:08 obones Note Added: 0009164
2006-04-27 07:36 Informatix Status acknowledged => assigned
2006-04-27 07:36 Informatix Assigned To => Informatix
2006-04-27 07:37 Informatix Status assigned => resolved
2006-04-27 07:37 Informatix Resolution open => fixed
2006-04-27 07:37 Informatix Note Added: 0009192


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker